//import geoPath() method from d3 to display geographical data
import { geoPath, geoGraticule } from 'd3';

//calling geoAlbersUsaTerritories() function to display all the states in USA
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);
const graticule = geoGraticule();

//exporting the constant declaration
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
